Bug 231108 - www/qt5-webkit: incorrect pkg-config data
Summary: www/qt5-webkit: incorrect pkg-config data
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: kde
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-09-02 20:55 UTC by Steve Wills
Modified: 2018-10-20 16:29 UTC (History)
1 user (show)

See Also:
tcberner: maintainer-feedback+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Steve Wills freebsd_committer 2018-09-02 20:55:18 UTC
The pkg-config data for qt5-webkit seems to be incorrect. Using qt5-webkit-5.212.0.a2_10, in /usr/local/libdata/pkgconfig/Qt5WebKitWidgets.pc I have:


Name: Qt5WebKitWidgets
Description: Qt WebKitWidgets module
Version: 5.212.0
Libs: -L/usr/local/lib/qt5 -lQt5WebKitWidgets
Cflags: -I/usr/local/include/qt5/Qt5WebKitWidgets 
Requires: 

But /usr/local/include/qt5/Qt5WebKitWidgets doesn't exist. However, /usr/local/include/qt5/QtWebKitWidgets does exist. I'm not sure if the install path is wrong or the pkg-config data is wrong, or there's some other issue.
Comment 1 Tobias C. Berner freebsd_committer 2018-09-03 05:27:25 UTC
Good catch. -- I think we lost a patch to fix this along the way somwhere. I'll have a look tonight.

mfg Tobias
Comment 2 commit-hook freebsd_committer 2018-10-07 07:54:06 UTC
A commit references this bug:

Author: tcberner
Date: Sun Oct  7 07:53:36 UTC 2018
New revision: 481434
URL: https://svnweb.freebsd.org/changeset/ports/481434

Log:
  www/qt5-webkit: fix installed pkg config files

  PR:		231108
  Obtained from:	https://src.mouf.net/area51/view/branches/plasma5/PORTS/www/qt5-webkit-annulen-wk2/files/patch-Source_WebKit_PlatformQt.cmake?rev=13782

Changes:
  head/www/qt5-webkit/Makefile
  head/www/qt5-webkit/files/patch-Source_WebKit_PlatformQt.cmake
Comment 3 Tobias C. Berner freebsd_committer 2018-10-20 16:29:37 UTC
Should be fixed now.